Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.io
Class ResolvingMarshalInputStream

`java.lang.Object
java.io.InputStream
java.io.ObjectInputStream
sun.rmi.server.MarshalInputStream
com.tangosol.io.ResolvingMarshalInputStream`

All Implemented Interfaces:
  Resolving, java.io.Closeable, java.io.DataInput, java.io.ObjectInput, java.io.ObjectStreamConstants

      public class ResolvingMarshalInputStream

extends sun.rmi.server.MarshalInputStream
implements Resolving

Provides a MarshalInputStream that uses a caller provided ClassLoader to resolve classes during objects deserialization.

Author:
  cp 2004.02.06 from ResolvingObjectInputStream

Nested Class Summary

Nested classes/interfaces inherited from class java.io.ObjectInputStream
`java.io.ObjectInputStream.GetField`

Field Summary

Fields inherited from class sun.rmi.server.MarshalInputStream
`permittedSunClasses`

Fields inherited from interface java.io.ObjectStreamConstants
`baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_ENUM, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_ENUM, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

Constructor Summary
`ResolvingMarshalInputStream(java.io.InputStream stream, java.lang.ClassLoader loader)` Create an ResolvingMarshalInputStream that reads from the specified InputStream using the specified ClassLoader to resolve classes.

Method Summary
`protected java.lang.Class` | `resolveClass(java.io.ObjectStreamClass descriptor)` Load the local class equivalent of the specified stream class description.

Methods inherited from class sun.rmi.server.MarshalInputStream
`close, done, getDoneCallback, readLocation, resolveProxyClass, setDoneCallback`

Methods inherited from class java.io.ObjectInputStream
`available, defaultReadObject, enableResolveObject, read, read, readBoolean, readByte, readChar, readClassDescriptor, readDouble, readFields, readFloat, readFully, readFully, readInt, readLine, readLong, readObject, readObjectOverride, readShort, readStreamHeader, readUnshared, readUnsignedByte, readUnsignedShort, readUTF, registerValidation, resolveObject, skipBytes`

Methods inherited from class java.io.InputStream
`mark, markSupported, read, reset, skip`

Methods inherited from interface java.io.ObjectInput
`read, skip`

Constructor Detail

### ResolvingMarshalInputStream

    public ResolvingMarshalInputStream(java.io.InputStream stream,
                                       java.lang.ClassLoader loader)
                                throws java.io.IOException

  Create an ResolvingMarshalInputStream that reads from the specified InputStream using the specified ClassLoader to resolve classes.
  Parameters:
    `stream` - the underlying `InputStream` from which to read
    `loader` - the `ClassLoader` to use for class resolution
  Throws:
    `java.io.IOException` - if an exception occurred in the underlying stream.
  See Also:
    `ObjectInputStream`

Method Detail

### resolveClass

    protected java.lang.Class resolveClass(java.io.ObjectStreamClass descriptor)
                                    throws java.io.IOException,
                                           java.lang.ClassNotFoundException

  Load the local class equivalent of the specified stream class description.
  Overrides:
    `resolveClass` in class `sun.rmi.server.MarshalInputStream`
  Parameters:
    `descriptor` - serialization descriptor for a class
  Returns:
    a Class object corresponding to `descriptor`
  Throws:
    `java.io.IOException` - if an exception occurred in the underlying stream.
    `java.lang.ClassNotFoundException` - if the corresponding class cannot be found.

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.